Subject: [bug#37254] [PATCH 0/4] Refactor (guix ci) and (guix import crate)

From: Efraim Flashner <[email-masked]>
Date: Sun, 1 Sep 2019 19:05:13 +0300

After my several (panicked :/) messages on IRC it turns out it's working
pretty well. I'm able to run 'guix lint -c refresh' and 'guix refresh -t
crate'.

some errors I've come across, sometimes I get (license (list . #f)),
like for rust-ppv-lite86, and sometimes I get (license (list .
license:expat))), like with rust-schannel.

On Sun, Sep 01, 2019 at 04:46:47PM +0200, Ludovic Courtès wrote:
> Hello Guix!
> 
> Initially I just wanted to fix “guix import crate blake2-rfc”, which
> didn’t work as Efraim reported on IRC, but that led me to refactor
> (guix ci) and (guix import crate) to use ‘define-json-mapping’ to
> automatically map JSON dictionaries to records.
> 
> Feedback welcome!
> 
> Thanks,
> Ludo’.
> 
> Ludovic Courtès (4):
>   Add (guix json).
>   ci: Use (guix json) and adjust for Guile-JSON 3.x.
>   import: create: Separate crates.io API from actual conversion.
>   import: crate: Correct interpretation of dual-licensing strings.
> 
>  Makefile.am                 |   1 +
>  guix/build-system/cargo.scm |  11 ++-
>  guix/ci.scm                 |  68 ++++++---------
>  guix/import/crate.scm       | 161 ++++++++++++++++++++++++++----------
>  guix/json.scm               |  62 ++++++++++++++
>  guix/swh.scm                |  35 +-------
>  tests/crate.scm             |  13 ++-
>  7 files changed, 229 insertions(+), 122 deletions(-)
>  create mode 100644 guix/json.scm
> 
> -- 
> 2.23.0
> 
> 
> 
> 

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted